.header {
	background: black;
	padding: 30px 0;
	display: flex;
	justify-content: space-between;
	align-items: center;
	position: fixed;
	top: 0;
	width: 100%;
	z-index: 10;
	box-shadow: 3px 3px 10px #00000033;
}
.header .container {
	display: flex;
	align-items: center;
	justify-content: center;
	gap: 20px;
	position: relative;
}
.header .logo img {
	height: auto;
	max-height: 160px;
	width: auto;
}

.header .menu-redes svg {
	width: 40px;
	height: 40px;
	fill: white;
}

/* Menu hamburguesa */
.menu-toggle {
	cursor: pointer;
	background: transparent;
	position: fixed;
	right: 0;
	top: 30px;
	border-radius: 5px 0 0 5px;
	border: none;
	padding: 20px 15px 5px;
	width: 70px;
	height: 70px;
	display: flex;
	align-items: center;
	justify-content: center;
	transition: right 1s ease;
	z-index: 999;
}
.menu-toggle .bar {
	fill: white;
	transition: transform 0.3s ease, opacity 0.3s ease;
	transform-origin: center;
}
.nav-abierto .menu-toggle .top {
	transform: translateY(6px) rotate(45deg);
}
.nav-abierto .menu-toggle .middle {
	opacity: 0;
}
.nav-abierto .menu-toggle .bottom {
	transform: translateY(-20px) rotate(-45deg);
}

/* Menú mobile */
.nav {
	position: fixed;
	top: 0;
	right: 0;
	background: #000000d4;
	width: 340px;
	padding: 100px 30px 30px;
	min-width: 340px;
	height: 100vh;
	transform: translateX(340px);
	transition: transform 1s ease;
	box-shadow: 0 2px 5px rgba(0,0,0,0.2);
}
.nav-abierto .nav {
	transform: translateX(0);
}
.nav ul {
	list-style: none;
	padding: 0;
}
.nav ul.menu-redes {
	display: flex;
	gap: 20px;
}
.nav li {
	border-bottom: 1px solid #ffffff61;
	padding: 15px 0;
}
.nav ul.menu-redes li {
	border-bottom: none;
}
.nav a {
	display: block;
	text-decoration: none;
	color: white;
	transition: color 0.5s ease;
	font-size: 20px;
}
.nav a:hover {
	color: var(--link);
}
.nav li.active a {
	color: var(--link);
}
.menu-underline {
	position: absolute;
	bottom: 0;
	height: 5px;
	background-color: var(--link);
	transition: left 0.3s ease, width 0.3s ease;
}
/* Desktop */
@media (min-width: 1220px) {
	.menu-toggle {
		display: none;
	}
	.header .container {
		justify-content: space-between;
	}
	.nav {
		display: block;
		position: static;
		width: auto;
		height: auto;
		background: none;
		box-shadow: none;
		padding: 0;
		transform: none;
	}
	.nav ul {
		display: flex;
		gap: 20px;
		margin: 0;
		justify-content: flex-end;
	}
	.nav li {
		border: none;
		padding: 0;
	}
	.nav a {
		font-size: 18px;
		color: white;
	}
	.header .menu-redes svg {
		fill: white;
	}
}
